Hubs
Base URL: https://api.amplience.net/v2/content
Authorization and status codes
For authorization and status codes see the API Reference overview.
HubsLink copied!
| Method | Endpoint | Summary |
|---|---|---|
GET | /hubs | List hubs |
POST | /hubs | Create hub |
GET | /hubs/{hubId} | Get hub |
PATCH | /hubs/{hubId} | Update hub |
GET | /hubs/{hubId}/asset-management | Get hub asset management settings |
PUT | /hubs/{hubId}/asset-management | Update hub asset management settings |
GET | /hubs/{hubId}/asset-repositories | Get hub asset repositories |
POST | /hubs/{hubId}/bulk-apply-locale | Post bulk apply locale job |
GET | /hubs/{hubId}/bulk-apply-locale/{bulkJobId} | Get bulk apply locale job |
POST | /hubs/{hubId}/bulk-archive | Post bulk archive job |
GET | /hubs/{hubId}/bulk-archive/{jobId} | Get bulk archive job |
POST | /hubs/{hubId}/bulk-assign-users | Post bulk assign users job |
GET | /hubs/{hubId}/bulk-assign-users/{jobId} | Get bulk assign users job |
POST | /hubs/{hubId}/bulk-copy-item | Post bulk copy item job |
GET | /hubs/{hubId}/bulk-copy-item/{jobId} | Get bulk copy item job |
POST | /hubs/{hubId}/bulk-publish-items | Post bulk publish job |
GET | /hubs/{hubId}/bulk-publish-items/{bulkJobId} | Get bulk publish job |
POST | /hubs/{hubId}/bulk-unarchive | Post bulk unarchive job |
GET | /hubs/{hubId}/bulk-unarchive/{jobId} | Get bulk unarchive job |
POST | /hubs/{hubId}/bulk-update-workflow | Post bulk update workflow job |
GET | /hubs/{hubId}/bulk-update-workflow/{bulkJobId} | Get bulk update workflow job |
PUT | /hubs/{hubid}/linked-content-repositories | Create linked content repositories |
PATCH | /hubs/{hubId}/plan | Update hub plan |
PATCH | /hubs/{hubId}/settings | Update hub settings |
POST | /hubs/{hubId}/share | Share hub |
List hubsLink copied!
GET /hubs
https://api.amplience.net/v2/content/hubs
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
page | query | integer | Page number Example: 0 | |
size | query | integer | Page size Example: 20 |
Responses
| Status | Description |
|---|---|
| 200 | Paginated Hub List |
Response Example (200)
Create hubLink copied!
POST /hubs
https://api.amplience.net/v2/content/hubs
A Hub is a container for multiple repositories including media, content, content types.
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
name | string | ✓ | Hub name |
label | string | ✓ | Hub label |
description | Hub description | ||
plan | string (DEVELOPER) | Hub Plan | |
algoliaSearch | string (ENABLED) | Algolia Search enabled flag | |
cdv2 | string (ENABLED) | CD2 enabled flag | |
organizationId | string | Organization ID | |
settings | object | Hub settings |
Request example
Responses
| Status | Description |
|---|---|
| 201 | Created |
Response Example (201)
Get hubLink copied!
GET /hubs/{hubId}
https://api.amplience.net/v2/content/hubs/{hubId}
Hub is the root resource in Dynamic Content, all other resources can be accessed from a Hub
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Responses
| Status | Description |
|---|---|
| 200 | Hub response |
Response Example (200)
Update hubLink copied!
PATCH /hubs/{hubId}
https://api.amplience.net/v2/content/hubs/{hubId}
Hub is the root resource in Dynamic Content, all other resources can be accessed from a Hub
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Hub name | |
label | string | Hub label | |
description | Hub description | ||
plan | string (DEVELOPER) | Hub Plan | |
algoliaSearch | string (ENABLED) | Algolia Search enabled flag | |
cdv2 | string (ENABLED) | CD2 enabled flag | |
organizationId | string | Organization ID | |
settings | object | Hub settings |
Request example
Responses
| Status | Description |
|---|---|
| 200 | Updated Hub response |
Response Example (200)
Get hub asset management settingsLink copied!
GET /hubs/{hubId}/asset-management
https://api.amplience.net/v2/content/hubs/{hubId}/asset-management
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Responses
| Status | Description |
|---|---|
| 200 | Updated Hub |
Response Example (200)
Update hub asset management settingsLink copied!
PUT /hubs/{hubId}/asset-management
https://api.amplience.net/v2/content/hubs/{hubId}/asset-management
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
enabled | boolean | ||
clientConfig | string (HUB, USER) |
Request example
Responses
| Status | Description |
|---|---|
| 200 | Updated Hub |
Response Example (200)
Get hub asset repositoriesLink copied!
GET /hubs/{hubId}/asset-repositories
https://api.amplience.net/v2/content/hubs/{hubId}/asset-repositories
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Responses
| Status | Description |
|---|---|
| 200 | Asset Repositories for a Hub |
Response Example (200)
Post bulk apply locale jobLink copied!
POST /hubs/{hubId}/bulk-apply-locale
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-apply-locale
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
selection | array | ||
localization | object |
Request example
Responses
| Status | Description |
|---|---|
| 200 | Bulk Job |
Response Example (200)
Get bulk apply locale jobLink copied!
GET /hubs/{hubId}/bulk-apply-locale/{bulkJobId}
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-apply-locale/{bulkJobId}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
bulkJobId | path | string | ✓ | Bulk Job Id Example: 00112233445566778899bbcc |
Responses
| Status | Description |
|---|---|
| 200 | Get bulk update workflow response |
Response Example (200)
Post bulk archive jobLink copied!
POST /hubs/{hubId}/bulk-archive
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-archive
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
selection | array |
Request example
Responses
| Status | Description |
|---|---|
| 200 | Bulk Job |
Response Example (200)
Get bulk archive jobLink copied!
GET /hubs/{hubId}/bulk-archive/{jobId}
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-archive/{jobId}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
jobId | path | string | ✓ | Bulk Job Id Example: 00112233445566778899bbcc |
Responses
| Status | Description |
|---|---|
| 200 | Get bulk archive response |
Response Example (200)
Post bulk assign users jobLink copied!
POST /hubs/{hubId}/bulk-assign-users
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-assign-users
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
selection | array |
Request example
Responses
| Status | Description |
|---|---|
| 200 | Bulk Job |
Response Example (200)
Get bulk assign users jobLink copied!
GET /hubs/{hubId}/bulk-assign-users/{jobId}
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-assign-users/{jobId}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
jobId | path | string | ✓ | Bulk Job Id Example: 00112233445566778899bbcc |
Responses
| Status | Description |
|---|---|
| 200 | Get bulk assign users response |
Response Example (200)
Post bulk copy item jobLink copied!
POST /hubs/{hubId}/bulk-copy-item
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-copy-item
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
selection | array |
Request example
Responses
| Status | Description |
|---|---|
| 200 | Updated Hub |
Response Example (200)
Get bulk copy item jobLink copied!
GET /hubs/{hubId}/bulk-copy-item/{jobId}
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-copy-item/{jobId}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
jobId | path | string | ✓ | Bulk Job Id Example: 00112233445566778899bbcc |
Responses
| Status | Description |
|---|---|
| 200 | Updated Hub |
Response Example (200)
Post bulk publish jobLink copied!
POST /hubs/{hubId}/bulk-publish-items
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-publish-items
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
selection | array |
Request example
Responses
| Status | Description |
|---|---|
| 200 | Bulk Job |
Response Example (200)
Get bulk publish jobLink copied!
GET /hubs/{hubId}/bulk-publish-items/{bulkJobId}
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-publish-items/{bulkJobId}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
bulkJobId | path | string | ✓ | Bulk Job Id Example: 00112233445566778899bbcc |
Responses
| Status | Description |
|---|---|
| 200 | Get bulk publish response |
Response Example (200)
Post bulk unarchive jobLink copied!
POST /hubs/{hubId}/bulk-unarchive
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-unarchive
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
selection | array |
Request example
Responses
| Status | Description |
|---|---|
| 200 | Updated Hub |
Response Example (200)
Get bulk unarchive jobLink copied!
GET /hubs/{hubId}/bulk-unarchive/{jobId}
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-unarchive/{jobId}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
jobId | path | string | ✓ | Bulk Job Id Example: 00112233445566778899bbcc |
Responses
| Status | Description |
|---|---|
| 200 | Updated Hub |
Response Example (200)
Post bulk update workflow jobLink copied!
POST /hubs/{hubId}/bulk-update-workflow
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-update-workflow
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
selection | array | ||
workflow | object |
Request example
Responses
| Status | Description |
|---|---|
| 200 | Bulk Job |
Response Example (200)
Get bulk update workflow jobLink copied!
GET /hubs/{hubId}/bulk-update-workflow/{bulkJobId}
https://api.amplience.net/v2/content/hubs/{hubId}/bulk-update-workflow/{bulkJobId}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
bulkJobId | path | string | ✓ | Bulk Job Id Example: 00112233445566778899bbcc |
Responses
| Status | Description |
|---|---|
| 200 | Get bulk update workflow response |
Response Example (200)
Create linked content repositoriesLink copied!
PUT /hubs/{hubid}/linked-content-repositories
https://api.amplience.net/v2/content/hubs/{hubid}/linked-content-repositories
Create a link for content repositories between different hubs to allow the coping or syncing of content
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
originHubId | string | Defines the hub id to use as a starting point for unidirectional relationships | |
hubIds | array | ||
bidirectional | boolean | Defines the directionality of the linked repositories | |
relationships | array |
Request example
Responses
| Status | Description |
|---|---|
| 200 | Created Linked Content Repository |
Response Example (200)
Update hub planLink copied!
PATCH /hubs/{hubId}/plan
https://api.amplience.net/v2/content/hubs/{hubId}/plan
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
plan | string (DEVELOPER) | Hub Plan |
Request example
Responses
| Status | Description |
|---|---|
| 204 | Updated Hub |
Update hub settingsLink copied!
PATCH /hubs/{hubId}/settings
https://api.amplience.net/v2/content/hubs/{hubId}/settings
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
publishing | object | ||
devices | array | ||
localization | object | ||
applications | array | ||
previewVirtualStagingEnvironment | object | ||
virtualStagingEnvironment | object | ||
assetManagement | object | ||
contentItems | object |
Request example
Responses
| Status | Description |
|---|---|
| 204 | Updated Hub |
Share hubLink copied!
POST /hubs/{hubId}/share
https://api.amplience.net/v2/content/hubs/{hubId}/share
Hub is the root resource in Dynamic Content, all other resources can be accessed from a Hub
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hubId | path | string | ✓ | Hub ID Example: 00112233445566778899aabb |
Request Body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
user | string | ✓ | User Id |
additionalPermissions | array | ✓ | Permissions to share |
Request example
Responses
| Status | Description |
|---|---|
| 204 | No Content |